unable to upgrade 5.5.30 -> 5.5.31, rpm conflict

Bug #1186155 reported by mente on 2013-05-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server moved to https://jira.percona.com/projects/PS
Invalid
Undecided
Unassigned
5.1
Invalid
Undecided
Unassigned
5.5
Triaged
High
Unassigned
5.6
Invalid
Undecided
Unassigned

Bug Description

Follow up from my comment to this bug https://bugs.launchpad.net/bugs/1050654 . Shortly I'm not able to upgrade to latest 5.5. version due to conflict with rpm from remi repository. https://bugs.launchpad.net/percona-server/+bug/1104522 could be related
My steps to reproduce:
$ yum --enablerepo=percona upgrade
....
--> Running transaction check
---> Package Percona-Server-client-55.x86_64 0:5.5.30-rel30.2.508.rhel6 will be updated
---> Package Percona-Server-client-55.x86_64 0:5.5.31-rel30.3.520.rhel6 will be an update
---> Package Percona-Server-server-55.x86_64 0:5.5.30-rel30.2.500.rhel6 will be updated
---> Package Percona-Server-server-55.x86_64 0:5.5.31-rel30.3.520.rhel6 will be an update
---> Package Percona-Server-shared-51.x86_64 0:5.1.68-rel14.6.551.rhel6 will be obsoleting
---> Package Percona-Server-shared-55.x86_64 0:5.5.28-rel29.1.335.rhel6 will be updated
---> Package Percona-Server-shared-55.x86_64 0:5.5.31-rel30.3.520.rhel6 will be obsoleting
---> Package Percona-Server-shared-compat.x86_64 0:5.5.31-rel30.3.520.rhel6 will be obsoleting
---> Package mysql-libs.x86_64 0:5.5.31-1.el6.remi will be obsoleted
---> Package percona-toolkit.noarch 0:2.1.8-1 will be updated
---> Package percona-toolkit.noarch 0:2.2.2-1 will be an update
---> Package percona-xtrabackup.x86_64 0:2.1.1-600.rhel6 will be updated
---> Package percona-xtrabackup.x86_64 0:2.1.3-608.rhel6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

...
Running Transaction Test

Transaction Check Error:
  file /usr/lib64/mysql/libmysqlclient.so.16.0.0 from install of Percona-Server-shared-51-5.1.68-rel14.6.551.rhel6.x86_64 conflicts with file from package compat-mysql51-5.1.54-1.el6.remi.x86_64
  file /usr/lib64/mysql/libmysqlclient_r.so.16.0.0 from install of Percona-Server-shared-51-5.1.68-rel14.6.551.rhel6.x86_64 conflicts with file from package compat-mysql51-5.1.54-1.el6.remi.x86_64
  file /usr/lib64/libmysqlclient.so.16.0.0 conflicts between attempted installs of Percona-Server-shared-51-5.1.68-rel14.6.551.rhel6.x86_64 and Percona-Server-shared-compat-5.5.31-rel30.3.520.rhel6.x86_64
  file /usr/lib64/libmysqlclient_r.so.16.0.0 conflicts between attempted installs of Percona-Server-shared-51-5.1.68-rel14.6.551.rhel6.x86_64 and Percona-Server-shared-compat-5.5.31-rel30.3.520.rhel6.x86_64

Error Summary
-------------

Using CentOS 6.4. Conflicting package is from remi repository

Tags: pkg Edit Tag help

Related branches

Please, send the output of:

rpm -q -a | grep -i mysql

rpm -q -a | grep -i percona

I wonder what exact packages should be installed on clean CentOS 6.4 to reproduce the problem.

mente (crahobzy) wrote :

$ rpm -q -a | grep -i mysql
compat-mysql51-5.1.54-1.el6.remi.x86_64
perl-DBD-MySQL-4.013-3.el6.x86_64
mysql-libs-5.5.31-1.el6.remi.x86_64
php-mysqlnd-5.4.16-1.el6.remi.x86_64

$ rpm -q -a | grep -i percona
Percona-Server-server-55-5.5.30-rel30.2.500.rhel6.x86_64
Percona-Server-shared-55-5.5.28-rel29.1.335.rhel6.x86_64
Percona-Server-client-55-5.5.30-rel30.2.508.rhel6.x86_64
percona-xtrabackup-2.1.1-600.rhel6.x86_64
percona-toolkit-2.2.2-1.noarch
percona-release-0.0-1.x86_64

Tested locally with CentOS 6.4

[root@dhcppc4 ~]# rpm -qa | grep mysql
mysql-libs-5.5.31-1.el6.remi.x86_64
compat-mysql51-5.1.54-1.el6.remi.x86_64

[root@dhcppc4 ~]# rpm -qa | grep Percona
Percona-Server-client-55-5.5.30-rel30.2.509.rhel6.x86_64
Percona-Server-shared-55-5.5.30-rel30.2.509.rhel6.x86_64
Percona-Server-server-55-5.5.30-rel30.2.509.rhel6.x86_64
[root@dhcppc4 ~]#

[root@dhcppc4 ~]# yum --enablerepo=percona upgrade
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.aol.in
 * epel: epel.mirror.net.in
 * extras: centos.aol.in
 * updates: centos.aol.in
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package Percona-Server-client-55.x86_64 0:5.5.30-rel30.2.509.rhel6 will be updated
---> Package Percona-Server-client-55.x86_64 0:5.5.32-rel31.0.549.rhel6 will be an update
---> Package Percona-Server-server-55.x86_64 0:5.5.30-rel30.2.509.rhel6 will be updated
---> Package Percona-Server-server-55.x86_64 0:5.5.32-rel31.0.549.rhel6 will be an update
---> Package Percona-Server-shared-51.x86_64 0:5.1.70-rel14.8.580.rhel6 will be obsoleting
---> Package Percona-Server-shared-55.x86_64 0:5.5.30-rel30.2.509.rhel6 will be updated
---> Package Percona-Server-shared-55.x86_64 0:5.5.32-rel31.0.549.rhel6 will be obsoleting
---> Package Percona-Server-shared-56.x86_64 0:5.6.12-rc60.4.393.rhel6 will be obsoleting
---> Package Percona-Server-shared-compat.x86_64 0:5.5.32-rel31.0.549.rhel6 will be obsoleting
---> Package Percona-XtraDB-Cluster-shared.x86_64 1:5.5.31-23.7.5.438.rhel6 will be obsoleting
---> Package mysql-libs.x86_64 0:5.5.31-1.el6.remi will be obsoleted
---> Package tzdata.noarch 0:2013c-1.el6 will be updated
---> Package tzdata.noarch 0:2013c-2.el6 will be an update
--> Processing Conflict: Percona-Server-shared-56-5.6.12-rc60.4.393.rhel6.x86_64 conflicts Percona-Server-shared-55
--> Processing Conflict: 1:Percona-XtraDB-Cluster-shared-5.5.31-23.7.5.438.rhel6.x86_64 conflicts Percona-Server-shared-55
--> Finished Dependency Resolution
Error: Percona-XtraDB-Cluster-shared conflicts with Percona-Server-shared-55-5.5.32-rel31.0.549.rhel6.x86_64
Error: Percona-Server-shared-56 conflicts with Percona-Server-shared-55-5.5.32-rel31.0.549.rhel6.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@dhcppc4 ~]#

While original conflict is not repeatable with recent repo, tried to upgrade from 5.5.30 to 5.5.32 but still does not work because of these weird RPMs from cluster and 5.6.

mente (crahobzy) wrote :

Confirmed. Unable to reproduce original issue because repo has updated packages, but got same problem as Nilnandan Joshi described

tags: added: pkg
mente (crahobzy) wrote :

With latest 5.5.38 problem is still there

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-2963

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers